Attribute VB_Name = "Module1"
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Private Declare Sub mouse_event Lib "user32" (ByVal dwFlags As Long, ByVal dX As Long, ByVal dy As Long, ByVal cButtons As Long, ByVal dwExtraInfo As Long)
Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long

Public Const MOUSEEVENTF_LEFTDOWN As Long = &H2 '  left button down
Public Const MOUSEEVENTF_LEFTUP As Long = &H4     '  left button up
Public Const MOUSEEVENTF_RIGHTDOWN As Long = &H8     '  right button down
Public Const MOUSEEVENTF_RIGHTUP As Long = &H10     '  right button up
Public Const MOUSEEVENTF_MIDDLEDOWN As Long = &H20     '  middle button down
Public Const MOUSEEVENTF_MIDDLEUP As Long = &H40     '  middle button up

Private Type POINTAPI
    X As Long
    Y As Long
End Type


Dim GameLoopRunning As Boolean



Public Sub MouseClick(ButtonState)
    Dim CurPos As POINTAPI
    GetCursorPos CurPos
    mouse_event ButtonState, 0&, 0&, CurPos.X, CurPos.Y
End Sub

Public Sub MoveMouse(X, Y)
Dim CurPos As POINTAPI
GetCursorPos CurPos
SetCursorPos CurPos.X + X, CurPos.Y + Y
End Sub


Public Sub StartGameLoop(ms As Long)
Dim LastTick As Long
GameLoopRunning = True
Do While GameLoopRunning
    Sleep ms
    DoEvents
    Form1.ComRecieve
    DoEvents
Loop
End Sub

Public Sub StopGameLoop()
GameLoopRunning = False
End Sub

